WordPress.org

Make WordPress Core

Opened 7 years ago

Closed 7 years ago

Last modified 7 years ago

#31473 closed defect (bug) (fixed)

Update jQuery UI to v1.11.3 to prevent UI Slider fractional step bug

Reported by: swashata Owned by: ocean90
Milestone: 4.2 Priority: normal
Severity: normal Version: 4.1
Component: External Libraries Keywords: needs-patch
Focuses: javascript Cc:

Description

jQuery UI version 1.11.2 (used in WP 4.1.1) has a major bug with jQuery UI slider and floating point calculation. http://stackoverflow.com/questions/28760134/jquery-ui-slider-range-incorrect-max-value-for-fraction-step

The same has been resolved in jQuery UI v1.11.3 http://jqueryui.com/changelog/1.11.3/

Please update the jQuery UI so that it can be resolved.

Change History (4)

#1 @DrewAPicture
7 years ago

  • Component changed from Script Loader to External Libraries

#2 @netweb
7 years ago

  • Focuses ui removed
  • Keywords needs-patch added
  • Milestone changed from Awaiting Review to 4.2
  • Version changed from 4.1.1 to 4.1

Swashata, thanks for creating this ticket.

Note: jQuery UI's build process no longer provides individual minified files, see #29833

#3 @ocean90
7 years ago

  • Owner set to ocean90
  • Resolution set to fixed
  • Status changed from new to closed

#4 @swashata
7 years ago

Thanks everyone for the quick followup on this. You guys really rock.

Note: See TracTickets for help on using tickets.